﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Fluke 105: ADJ RS-232 /5520A+SC600
DATE:                  2018-11-04 00:23:31
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 22109 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       698
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Source:
#        Service Manual: Fluke Scopemeter 105, chapter 5
#        P/N: 186459  @0/24-May-1995
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

  1.002  IF           NOT(VERSIONCHECK("8.0"))
  1.003  END
  1.004  ENDIF

  1.005  CALL         Sub Display Copyright
  1.006  CALL         Sub High Voltage Safety Warning
  1.007  CALL         Sub Fluke ScopeMeter (UUT) Connection RS-232

# To enable adjustment, you have to apply the +12V programming voltage
  1.008  DISP         NOTE:
  1.008  DISP         Apply +12V programming voltage
  1.008  DISP         to the programming contacts
  1.008  DISP         in the battery compartment.

# Setup RS232-communication
  1.009  PORT         [P1200,N,8,1,X][OTERM CR]

  1.010  CALL         Sub Fluke ScopeMeter Identification RS-232
  1.011  MATH         Model = "105"

  1.012  IF           NOT(FIND(@ModelNum, Model, 1))
  1.013  DISP         UUT is [V @ModelNum] not a Fluke [V Model]!
  1.014  END
  1.015  ENDIF

# Enable service mode, power can have been removed at opening the case
  1.016  MATH         @Cmd = "EX110,0"
  1.017  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.018  WAIT         [D200]
  1.019  MATH         @Cmd = "FLUKPHIL"
  1.020  CALL         Sub Fluke ScopeMeter Send Command RS-232

# Query Scopemeter Cal Fields ! Version 5 and above only
# returns Total Cal Fields, # Free
  1.021  MATH         @Cmd = "QN"
  1.022  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.023  PORT         [I$]
  1.024  MATH         MEM1 = FLD(MEM2, 2, ",")
# MEM1 contains the number of free spaces in the FlashROM (2, 1 or 0)
# If MEM1 = 0 then the MET/CAL procedure must be stopped
# and the ScopeMeter test tool must be refreshed first.
# If MEM1 = 1 or MEM1 = 2 then 1 or 2 places in FlashROM are free
# for storing calibration data, so program can continue.

# Not enough space: terminate adjustment procedure
  1.025  IF           MEM1 < 1
  1.026  DISP         Not enough space in FlashROM to store
  1.026  DISP         new calibration data,
  1.026  DISP         Calibration Adjustment Procedure terminated.
  1.026  DISP         First use the "REFRESH" software to
  1.026  DISP         refresh the ScopeMeter test tool.
  1.027  END
  1.028  ENDIF

# Check if any hardware repairs have been done: if not, you may skip
# step 1 up to 4
  1.029  OPBR         -z Have any components been replaced?
  1.029  OPBR         (Note: the hardware adjustments may be skipped
  1.029  OPBR         unless the ScopeMeter test tool has been repaired.
  1.029  OPBR         If adjustments S6, S7, S8 or S9 fail, also
  1.029  OPBR         restart the MET/CAL procedure and perform H1...H4.)

  1.030  IF           MEM1
  1.031  CALL         Sub Fluke 9x Hardware ADJ RS-232 /5520+SC600
  1.032  ENDIF

# Enable service mode, power can have been removed at opening the case
  1.033  MATH         @Cmd = "EX110,0"
  1.034  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.035  WAIT         [D100]
  1.036  MATH         @Cmd = "FLUKPHIL"
  1.037  CALL         Sub Fluke ScopeMeter Send Command RS-232

  1.038  HEAD         Adj S5: OFFSET CORRECTION
  1.039  PIC          9x_short
  1.040  MATH         @Picture = "9x_short"
  1.041  HEAD         S5: OFFSET CORRECTION in progress...
  1.042  MATH         @CalStep = "EX100,5"
  1.043  DO
  1.044  PORT         [V @CalStep]
  1.045  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.046  UNTIL        NOT(@CalError) || @FatalError

  1.047  JMPL         ABORT                        @FatalError

  1.048  HEAD         LINEARITY in progress...
  1.049  MATH         @CalStep = "EX101,1"

  1.050  DO
  1.051  PORT         [V @CalStep]
  1.052  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.053  UNTIL        NOT(@CalError) || @FatalError

  1.054  JMPL         ABORT                        @FatalError

  1.055  HEAD         M2: ZEROING THE RANGES in progress...
  1.056  MATH         @CalStep = "EX101,2"

  1.057  DO
  1.058  PORT         [V @CalStep]
  1.059  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.060  UNTIL        NOT(@CalError) || @FatalError

  1.061  JMPL         ABORT                        @FatalError

  1.062  HEAD         M10: ALL RANGES 0 Ohm ADJ in progress...
  1.063  MATH         @CalStep = "EX101,10"

  1.064  DO
  1.065  PORT         [V @CalStep]
  1.066  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.067  UNTIL        NOT(@CalError) || @FatalError

  1.068  JMPL         ABORT                        @FatalError

  1.069  HEAD         M3: OPEN CHANNEL A, 300 mV RANGE ADJUSTMENT
  1.070  DISP         Remove all connections (all inputs open).

  1.071  HEAD         M3: OPEN CHANNEL A - Adj in progress...
  1.072  MATH         @CalStep = "EX101,3"

  1.073  DO
  1.074  PORT         [V @CalStep]
  1.075  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.076  UNTIL        NOT(@CalError) || @FatalError

  1.077  JMPL         ABORT                        @FatalError

  1.078  HEAD         S6: PULSE RESPONSE OF THE *1 ATTENUATOR
  1.079  PIC          52sc_9xab
  1.080  MATH         @Picture = "52sc_9xab"
  1.081  MATH         @CalStep = "EX100,6"

  1.082  DO
  1.083  5520         300mVpp                      1kH            ZQ S6 S
  1.084  PORT         [V @CalStep]
  1.085  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.086  UNTIL        NOT(@CalError) || @FatalError

  1.087  JMPL         ABORT                        @FatalError

  1.088  HEAD         S7: PULSE RESPONSE OF THE *10 ATTENUATOR
  1.089  MATH         @CalStep = "EX100,7"

  1.090  DO
  1.091  5520         3Vpp                         1kH            ZQ S6 S
  1.092  PORT         [V @CalStep]
  1.093  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.094  UNTIL        NOT(@CalError) || @FatalError

  1.095  JMPL         ABORT                        @FatalError

  1.096  HEAD         S8: PULSE RESPONSE OF THE *100 ATTENUATOR
  1.097  MATH         @CalStep = "EX100,8"

  1.098  DO
  1.099  5520         20Vpp                        1kH            ZQ S6 S
  1.100  PORT         [V @CalStep]
  1.101  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.102  UNTIL        NOT(@CalError) || @FatalError

  1.103  JMPL         ABORT                        @FatalError

  1.104  HEAD         S9: PULSE RESPONSE OF THE *1000 ATTENUATOR
  1.105  MATH         @CalStep = "EX100,9"

  1.106  DO
  1.107  5520         50Vpp                        1kH            ZQ S6 S
  1.108  PORT         [V @CalStep]
  1.109  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.110  UNTIL        NOT(@CalError) || @FatalError

  1.111  JMPL         ABORT                        @FatalError

  1.112  HEAD         S10: GAIN FOR 5mV
  1.113  MATH         @CalStep = "EX100,10"

  1.114  DO
  1.115  5520         20mVpp                       1kH            ZQ S6 S
  1.116  PORT         [V @CalStep]
  1.117  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.118  UNTIL        NOT(@CalError) || @FatalError

  1.119  JMPL         ABORT                        @FatalError

  1.120  HEAD         S11: GAIN FOR 10mV
  1.121  MATH         @CalStep = "EX100,11"

  1.122  DO
  1.123  5520         50mVpp                       1kH            ZQ S6 S
  1.124  PORT         [V @CalStep]
  1.125  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.126  UNTIL        NOT(@CalError) || @FatalError

  1.127  JMPL         ABORT                        @FatalError

  1.128  HEAD         S12: GAIN FOR 20mV
  1.129  MATH         @CalStep = "EX100,12"

  1.130  DO
  1.131  5520         100mVpp                      1kH            ZQ S6 S
  1.132  PORT         [V @CalStep]
  1.133  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.134  UNTIL        NOT(@CalError) || @FatalError

  1.135  JMPL         ABORT                        @FatalError

  1.136  HEAD         S13: GAIN FOR 50mV
  1.137  MATH         @CalStep = "EX100,13"

  1.138  DO
  1.139  5520         200mVpp                      1kH            ZQ S6 S
  1.140  PORT         [V @CalStep]
  1.141  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.142  UNTIL        NOT(@CalError) || @FatalError

  1.143  JMPL         ABORT                        @FatalError

  1.144  HEAD         S14: GAIN FOR 100mV
  1.145  MATH         @CalStep = "EX100,14"

  1.146  DO
  1.147  5520         500mVpp                      1kH            ZQ S6 S
  1.148  PORT         [V @CalStep]
  1.149  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.150  UNTIL        NOT(@CalError) || @FatalError

  1.151  JMPL         ABORT                        @FatalError

  1.152  HEAD         S15: GAIN FOR 200mV
  1.153  MATH         @CalStep = "EX100,15"

  1.154  DO
  1.155  5520         1Vpp                         1kH            ZQ S6 S
  1.156  PORT         [V @CalStep]
  1.157  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.158  UNTIL        NOT(@CalError) || @FatalError

  1.159  JMPL         ABORT                        @FatalError

  1.160  HEAD         S16: GAIN FOR 2V
  1.161  MATH         @CalStep = "EX100,16"

  1.162  DO
  1.163  5520         10Vpp                        1kH            ZQ S6 S
  1.164  PORT         [V @CalStep]
  1.165  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.166  UNTIL        NOT(@CalError) || @FatalError

  1.167  JMPL         ABORT                        @FatalError

  1.168  HEAD         S17: GAIN FOR 20V
  1.169  MATH         @CalStep = "EX100,17"

  1.170  DO
  1.171  5520         100Vpp                       1kH            ZQ S6 S
  1.172  PORT         [V @CalStep]
  1.173  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.174  UNTIL        NOT(@CalError) || @FatalError

  1.175  JMPL         ABORT                        @FatalError

  1.176  HEAD         S18: SHIFT GAIN *1 MODE ADJUSTMENT
  1.177  MATH         @CalStep = "EX100,18"

  1.178  DO
  1.179  5520         200mVpp                      1kH            ZQ S6 S
  1.180  PORT         [V @CalStep]
  1.181  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.182  UNTIL        NOT(@CalError) || @FatalError

  1.183  JMPL         ABORT                        @FatalError

  1.184  HEAD         S19: SHIFT GAIN /8 MODE adj in progress...
  1.185  MATH         @CalStep = "EX100,19"

  1.186  DO
  1.187  5520         20mVpp                       1kH            ZQ S6 S
  1.188  PORT         [V @CalStep]
  1.189  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.190  UNTIL        NOT(@CalError) || @FatalError

  1.191  HEAD         S20: CHANNEL A 50% TRIGGER LEVEL ADJUSTMENT
  1.192  MATH         @CalStep = "EX100,20"

  1.193  DO
  1.194  5520         0.707V                       10kH           SI S6 S
  1.195  PORT         [V @CalStep]
  1.196  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.197  UNTIL        NOT(@CalError) || @FatalError

  1.198  JMPL         ABORT                        @FatalError

  1.199  HEAD         S21: CHANNEL A 90% TRIGGER LEVEL ADJUSTMENT
  1.200  MATH         @CalStep = "EX100,21"

  1.201  DO
  1.202  5520         0.707V                       10kH           SI S6 S
  1.203  PORT         [V @CalStep]
  1.204  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.205  UNTIL        NOT(@CalError) || @FatalError

  1.206  JMPL         ABORT                        @FatalError

  1.207  HEAD         S22: CHANNEL B 50% TRIGGER LEVEL ADJUSTMENT
  1.208  MATH         @CalStep = "EX100,22"

  1.209  DO
  1.210  5520         0.707V                       10kH           SI S6 S
  1.211  PORT         [V @CalStep]
  1.212  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.213  UNTIL        NOT(@CalError) || @FatalError

  1.214  JMPL         ABORT                        @FatalError

  1.215  HEAD         S23: CHANNEL B 90% TRIGGER LEVEL ADJUSTMENT
  1.216  MATH         @CalStep = "EX100,23"

  1.217  DO
  1.218  5520         0.707V                       10kH           SI S6 S
  1.219  PORT         [V @CalStep]
  1.220  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.221  UNTIL        NOT(@CalError) || @FatalError

  1.222  JMPL         ABORT                        @FatalError
  1.223  5520         *                                                 S

  1.224  HEAD         S24: EXTERNAL TRIGGERING ADJUSTMENT
  1.225  PIC          52sc_9xae
  1.226  MATH         @Picture = "52sc_9xae"
  1.227  MATH         @CalStep = "EX100,24"

  1.228  DO
  1.229  5520         0.707V                       10kH           SI S6 S
  1.230  PORT         [V @CalStep]
  1.231  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.232  UNTIL        NOT(@CalError) || @FatalError

  1.233  JMPL         ABORT                        @FatalError
  1.234  5520         *                                                 S

  1.235  HEAD         S25: RANDOM SAMPLING ADJUSTMENT
  1.236  PIC          52sc_9xat
  1.237  MATH         @Picture = "52sc_9xat"
  1.238  HEAD         S25: RANDOM SAMPLING adj in progress...
  1.239  MATH         @CalStep = "EX100,25"

  1.240  DO
  1.241  5520         0.55Vpp                      100kH          ED S6 S  L
  1.242  PORT         [V @CalStep]
  1.243  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.244  UNTIL        NOT(@CalError) || @FatalError

  1.245  JMPL         ABORT                        @FatalError
  1.246  5520         *                                                 S

  1.247  HEAD         M4: CHANNEL A, 300mV RANGE GAIN ADJUSTMENT
  1.248  PIC          52_9xa
  1.249  MATH         @Picture = "52_9xa"
  1.250  MATH         @CalStep = "EX101,4"

  1.251  DO
  1.252  5520         300mV                                             S  2W
  1.253  PORT         [V @CalStep]
  1.254  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.255  UNTIL        NOT(@CalError) || @FatalError

  1.256  JMPL         ABORT                        @FatalError

  1.257  HEAD         M23: CHANNEL A, 1V GAIN ADJUSTMENT
  1.258  MATH         @CalStep = "EX101,23"

  1.259  DO
  1.260  5520         1V                                                S  2W
  1.261  PORT         [V @CalStep]
  1.262  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.263  UNTIL        NOT(@CalError) || @FatalError

  1.264  JMPL         ABORT                        @FatalError

  1.265  HEAD         M5: CHANNEL A, 3V RANGE GAIN ADJUSTMENT
  1.266  MATH         @CalStep = "EX101,5"

  1.267  DO
  1.268  5520         3V                                                S  2W
  1.269  PORT         [V @CalStep]
  1.270  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.271  UNTIL        NOT(@CalError) || @FatalError

  1.272  JMPL         ABORT                        @FatalError

  1.273  HEAD         M6: CHANNEL A, 30V RANGE GAIN ADJUSTMENT
  1.274  MATH         @CalStep = "EX101,6"

  1.275  DO
  1.276  5520         30V                                               S  2W
  1.277  PORT         [V @CalStep]
  1.278  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.279  UNTIL        NOT(@CalError) || @FatalError

  1.280  JMPL         ABORT                        @FatalError

  1.281  HEAD         M24: CHANNEL A, 100V GAIN ADJUSTMENT
  1.282  MATH         @CalStep = "EX101,24"

  1.283  DO
  1.284  5520         100V                                              S  2W
  1.285  PORT         [V @CalStep]
  1.286  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.287  UNTIL        NOT(@CalError) || @FatalError

  1.288  JMPL         ABORT                        @FatalError

  1.289  HEAD         M7: CHANNEL A, 300V RANGE GAIN ADJUSTMENT
  1.290  MATH         @CalStep = "EX101,7"

  1.291  DO
  1.292  5520         300V                                              S  2W
  1.293  PORT         [V @CalStep]
  1.294  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.295  UNTIL        NOT(@CalError) || @FatalError

  1.296  JMPL         ABORT                        @FatalError
  1.297  5520         *                                                 S

  1.298  HEAD         M8: EXTERNAL INPUT, 300mV RANGE, GAIN ADJUSTMENT
  1.299  PIC          52_9xe
  1.300  MATH         @Picture = "52_9xe"
  1.301  MATH         @CalStep = "EX101,8"

  1.302  DO
  1.303  5520         300mV                                             S  2W
  1.304  PORT         [V @CalStep]
  1.305  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.306  UNTIL        NOT(@CalError) || @FatalError

  1.307  JMPL         ABORT                        @FatalError

  1.308  HEAD         M9: EXTERNAL INPUT, 3V RANGE, GAIN ADJUSTMENT
  1.309  MATH         @CalStep = "EX101,9"

  1.310  DO
  1.311  5520         3V                                                S  2W
  1.312  PORT         [V @CalStep]
  1.313  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.314  UNTIL        NOT(@CalError) || @FatalError

  1.315  JMPL         ABORT                        @FatalError

  1.316  HEAD         M11: ADJUSTMENT OF THE 300 Ohm RANGE
  1.317  MATH         @CalStep = "EX101,11"

  1.318  DO
  1.319  5520         100Z                                              S  2W
  1.320  PORT         [V @CalStep]
  1.321  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.322  UNTIL        NOT(@CalError) || @FatalError

  1.323  JMPL         ABORT                        @FatalError

  1.324  HEAD         M12: ADJUSTMENT OF THE 3 kOhm RANGE
  1.325  MATH         @CalStep = "EX101,12"

  1.326  DO
  1.327  5520         1kZ                                               S  2W
  1.328  PORT         [V @CalStep]
  1.329  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.330  UNTIL        NOT(@CalError) || @FatalError

  1.331  JMPL         ABORT                        @FatalError

  1.332  HEAD         M13: ADJUSTMENT OF THE 30 kOhm RANGE
  1.333  MATH         @CalStep = "EX101,13"

  1.334  DO
  1.335  5520         10kZ                                              S  2W
  1.336  PORT         [V @CalStep]
  1.337  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.338  UNTIL        NOT(@CalError) || @FatalError

  1.339  JMPL         ABORT                        @FatalError

  1.340  HEAD         M14: ADJUSTMENT OF THE 300 kOhm RANGE
  1.341  MATH         @CalStep = "EX101,14"

  1.342  DO
  1.343  5520         100kZ                                             S  2W
  1.344  PORT         [V @CalStep]
  1.345  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.346  UNTIL        NOT(@CalError) || @FatalError

  1.347  JMPL         ABORT                        @FatalError

  1.348  HEAD         M15: ADJUSTMENT OF THE 3 MOhm RANGE
  1.349  MATH         @CalStep = "EX101,15"

  1.350  DO
  1.351  5520         1MZ                                               S  2W
  1.352  PORT         [V @CalStep]
  1.353  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.354  UNTIL        NOT(@CalError) || @FatalError

  1.355  JMPL         ABORT                        @FatalError

  1.356  HEAD         M16: ADJUSTMENT OF THE 30 MOhm RANGE
  1.357  MATH         @CalStep = "EX101,16"

  1.358  DO
  1.359  5520         10MZ                                              S  2W
  1.360  PORT         [V @CalStep]
  1.361  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.362  UNTIL        NOT(@CalError) || @FatalError

  1.363  JMPL         ABORT                        @FatalError
  1.364  5520         *                                                 S

  1.365  HEAD         M18: CURRENT RAMP ADJUSTMENT
  1.366  PIC          52_9xae
  1.367  MATH         @Picture = "52_9xae"
  1.368  MATH         @CalStep = "EX101,18"

  1.369  DO
  1.370  5520         100Z                                              S  2W
  1.371  PORT         [V @CalStep]
  1.372  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.373  UNTIL        NOT(@CalError) || @FatalError

  1.374  JMPL         ABORT                        @FatalError

  1.375  HEAD         M17: VOLTAGE RAMP ADJUSTMENT
  1.376  MATH         @CalStep = "EX101,17"

  1.377  DO
  1.378  5520         100Z                                              S  2W
  1.379  PORT         [V @CalStep]
  1.380  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.381  UNTIL        NOT(@CalError) || @FatalError

  1.382  JMPL         ABORT                        @FatalError
  1.383  5520         *                                                 S

  1.384  HEAD         M21: ADJUSTMENT FOR CHANNEL A 1:1 PROBE
  1.385  PIC          9x_c1a
  1.386  MATH         @Picture = "9x_c1a"
  1.387  MATH         @CalStep = "EX101,21"

  1.388  DO
  1.389  5520         100Z                                              S  2W
  1.390  PORT         [V @CalStep]
  1.391  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.392  UNTIL        NOT(@CalError) || @FatalError

  1.393  JMPL         ABORT                        @FatalError
  1.394  5520         *                                                 S

  1.395  HEAD         M22: ADJUSTMENT FOR CHANNEL B 1:1 PROBE
  1.396  PIC          9x_c1b
  1.397  MATH         @Picture = "9x_c1b"
  1.398  MATH         @CalStep = "EX101,22"

  1.399  DO
  1.400  5520         100Z                                              S  2W
  1.401  PORT         [V @CalStep]
  1.402  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.403  UNTIL        NOT(@CalError) || @FatalError

  1.404  JMPL         ABORT                        @FatalError
  1.405  5520         *                                                 S

  1.406  HEAD         M19: ADJUSTMENT FOR CHANNEL A 10:1 PROBE (RED)
  1.407  PIC          9x_c10a
  1.408  MATH         @Picture = "52_9xae"
  1.409  MATH         @CalStep = "EX101,19"

  1.410  DO
  1.411  5520         100Z                                              S  2W
  1.412  PORT         [V @CalStep]
  1.413  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.414  UNTIL        NOT(@CalError) || @FatalError

  1.415  JMPL         ABORT                        @FatalError
  1.416  5520         *                                                 S

  1.417  HEAD         M20: ADJUSTMENT FOR CHANNEL B 10:1 PROBE (GREY)
  1.418  PIC          9x_c10b
  1.419  MATH         @Picture = "9x_c10b"
  1.420  MATH         @CalStep = "EX101,20"

  1.421  DO
  1.422  5520         100Z                                              S  2W
  1.423  PORT         [V @CalStep]
  1.424  CALL         Sub Fluke 9x Cal Adjust Error RS-232 /5520
  1.425  UNTIL        NOT(@CalError) || @FatalError

  1.426  JMPL         ABORT                        @FatalError

  1.427  DISP         Remove all connections.
  1.428  DISP         Transfer control to the CALstore program.
  1.428  DISP
  1.428  DISP         Be sure that the +12V programming voltage is present
  1.428  DISP         and the interface cable is correctly fitted!

# Enable the SERVICE-mode of the ScopeMeter test tool.
  1.429  MATH         @Cmd = "EX110,0"
  1.430  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.431  WAIT         [D200]
  1.432  MATH         @Cmd = "FLUKPHIL"
  1.433  CALL         Sub Fluke ScopeMeter Send Command RS-232

# Store the CAL DATA
  1.434  PORT         EX999[I]

# If MEM1 = 0, then everything was OK.
# If MEM1 = 1, then an error has occured.
  1.435  IF           MEM > 0
  1.436  DISP         An error has occured during execution of CAL STORE
  1.436  DISP         The calibration data is not stored in FlasROM!
  1.437  END
  1.438  ENDIF

# Disable the SERVICE-mode of the ScopeMeter test tool.
  1.439  MATH         @Cmd = "EX111,0"
  1.440  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.441  DISP         Calibration Adjustment Procedure finished.
  1.441  DISP
  1.441  DISP         First remove the +12V programming voltage
  1.441  DISP         and restart the ScopeMeter, using a MASTER RESET.

# Reset the ScopeMeter
  1.442  MATH         @Cmd = "RI"
  1.443  CALL         Sub Fluke ScopeMeter Send Command RS-232

# Enable the SERVICE-mode of the ScopeMeter test tool.
  1.444  MATH         @Cmd = "EX110,0"
  1.445  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.446  WAIT         [D200]
  1.447  MATH         @Cmd = "FLUKPHIL"
  1.448  CALL         Sub Fluke ScopeMeter Send Command RS-232

# Query Scopemeter Cal Fields
# returns Total Cal Fields, # Free
  1.449  MATH         @Cmd = "QN"
  1.450  CALL         Sub Fluke ScopeMeter Send Command RS-232
  1.451  PORT         [I$]

  1.452  MATH         MEM1 = FLD(MEM2, 2, ",")

  1.453  IF           MEM1 > 0
  1.454  DISP         After this adjustment, there is still space for [MEM1]
  1.454  DISP         adjustments. "Refresh" not necessary.
  1.455  ELSE
  1.456  DISP         After this adjustment, all calibration tables
  1.456  DISP         in FlashROM are filled. "Refresh" recommended!
  1.457  ENDIF

  1.458  JMPL         END

  1.459  LABEL        ABORT
  1.460  DISP         C A L I B R A T I O N   A B O R T E D

  1.461  LABEL        END
  1.462  END
