﻿© 2008 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 9x Cal Adjust Error RS-232 /5520
DATE:                  2008-06-13 10:33:45
AUTHOR:                Fluke
REVISION:              $Revision: 22074 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       128
CONFIGURATION:         Fluke 5520A
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models covered:
#        93, 95, 97, 97/AUTO
#        91, 92, 96, 99, 105 Series II ScopeMeter®
#        92B, 96B, 99B, 105B ScopeMeter®
#
#  Compatibilty:
#        5500/CAL or MET/CAL 7.20 SP1 (7.20x) and later
#
# Subprocedures:
#        None
#
# Required Files:
#        52_9xa.bmp
#        52_9xae.bmp
#        52_9xe.bmp
#        52sc_9xa.bmp
#        52sc_9xab.bmp
#        52sc_9xae.bmp
#        52sc_9xat.bmp
#        9x_c1a.bmp
#        9x_c1b.bmp
#        9x_c10a.bmp
#        9x_c10b.bmp
#        9x_a2pcb.bmp
#        91_short.bmp
#        9x_short.bmp
#        cal9x_1.bmp
#        cal9x_2.bmp
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Based on the acknowledge response sent by the Test Tool, this procedure
# identifies the error for presentation to the operator.

# Initialize variables.
  1.001  MATH         @CalError = 0; @FatalError = 0
# Read UUT acknowledge response from output buffer for status.
  1.002  PORT         [I]
  1.003  MATH         @CalError = MEM

# If errors occurred, query for cal step number and error information.
  1.004  IF           @CalError
  1.005  5520         *                                                 S
  1.006  OPBR         -z Cal Error [V @CalError] occurred at [V @CalStep]!
  1.006  OPBR
  1.006  OPBR         Check calibrator, cables, etc.
  1.006  OPBR
  1.006  OPBR         Do you want to review the connection picture?

  1.007  IF           MEM1

  1.008  IF           ZCMPI(@Picture, "52_9xa")
  1.009  PIC          52_9xa
  1.010  ELSEIF       ZCMPI(@Picture, "52_9xae")
  1.011  PIC          52_9xae
  1.012  ELSEIF       ZCMPI(@Picture, "52_9xe")
  1.013  PIC          52_9xe
  1.014  ELSEIF       ZCMPI(@Picture, "52sc_9xa")
  1.015  PIC          52sc_9xa
  1.016  ELSEIF       ZCMPI(@Picture, "52sc_9xab")
  1.017  PIC          52sc_9xab
  1.018  ELSEIF       ZCMPI(@Picture, "52sc_9xae")
  1.019  PIC          52sc_9xae
  1.020  ELSEIF       ZCMPI(@Picture, "52sc_9xat")
  1.021  PIC          52sc_9xat
  1.022  ELSEIF       ZCMPI(@Picture, "9x_c1a")
  1.023  PIC          9x_c1a
  1.024  ELSEIF       ZCMPI(@Picture, "9x_c1b")
  1.025  PIC          9x_c1b
  1.026  ELSEIF       ZCMPI(@Picture, "9x_c10a")
  1.027  PIC          9x_c10a
  1.028  ELSEIF       ZCMPI(@Picture, "9x_c10b")
  1.029  PIC          9x_c10b
  1.030  ELSEIF       ZCMPI(@Picture, "9x_a2pcb")
  1.031  PIC          9x_a2pcb
  1.032  ELSEIF       ZCMPI(@Picture, "91_short")
  1.033  PIC          91_short
  1.034  ELSEIF       ZCMPI(@Picture, "9x_short")
  1.035  PIC          9x_short
  1.036  ELSEIF       ZCMPI(@Picture, "cal9x_1")
  1.037  PIC          cal9x_1
  1.038  ELSEIF       ZCMPI(@Picture, "cal9x_2")
  1.039  PIC          cal9x_2
  1.040  ELSE
  1.041  DISP         Procedure Error: Unidentified picture!
  1.041  DISP         [V @Picture]
  1.042  END
  1.043  ENDIF

  1.044  ENDIF

  1.045  OPBR         -z Do you wish to repeat [V @CalStep]?
  1.046  MATH         @FatalError = NOT(MEM1)
  1.047  ENDIF

  1.048  END
